using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMeasureSchedule {
        public BemsMeasureSchedule() {
            MeasureSchedulePoints = new HashSet<BemsMeasureSchedulePoint>();
        }

        //검침 계획
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "검침계획번호"), Key]
        public int ScheduleId { get; set; }
        [Display(Name = "에너지구분"), Required]
        public short FuelTypeId { get; set; }
        [Display(Name = "검침계획명"), Required]
        [StringLength(52)]
        public string Name { get; set; }
        [Display(Name = "반복여부"), Required]
        public short Repeat { get; set; }
        [Display(Name = "계획일시"), Required]
        public DateTime ScheduleDate { get; set; }
        [Display(Name = "경과시간")]
        public int? Duration { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
        [InverseProperty("MeasureSchedule")]
        public virtual ICollection<BemsMeasureSchedulePoint> MeasureSchedulePoints { get; set; }
    }
}
